#!/usr/bin/env ruby
require 'Qt'
require 'korundum4'

module RubyKonquerorPlugin

class RubyKonquerorPlugin < KParts::Plugin
	slots 'helloWorld()'
	def initialize(parent, args)
		super(parent)
                puts "Hello World From Ruby!"
		@action = Qt::Action.new("Hello World", self)
		actionCollection().addAction("rubyHelloWorld", @action)
		connect(@action, SIGNAL('triggered()'), self, SLOT('helloWorld()'))
                puts "Ruby constructed!"
	end
	def helloWorld()
                puts "Ruby: Hello World!"
		Qt::MessageBox::information(nil, "Greetings from Ruby", "Hello World!");
	end
end

end
